Omniplex Docs

Badges

These API endpoints are related to the badge system on IBL

GET
/{target_type}/{target_id}/badges

Get Entity Badges

Gets the badges assigned to a user, bot, server, or team.

/{target_type}/{target_id}/badges

Path Parameters

target_type
Required
string

The target type of the entity

target_id
Required
string

The target ID of the entity

curl -X GET "https://spider.omniplex.gg/string/string/badges"

Success

{
  "badges": [
    {
      "awarded_by": "string",
      "badge": {
        "color": "string",
        "description": "string",
        "icon": "string",
        "id": "string",
        "name": "string",
        "target_types": [
          "string"
        ]
      },
      "created_at": "2019-08-24T14:15:22Z",
      "reason": "string"
    }
  ]
}